{
  "importedOn": 1747427577624,
  "timeCreated": 1639409267539,
  "targetColumnName": "y",
  "pythonCodeEnvName": "py_39_mlflow_in_dku",
  "pythonVersion": "3.9.20",
  "predictionType": "BINARY_CLASSIFICATION",
  "useUnityCatalog": false,
  "classLabels": [
    {
      "label": "no"
    },
    {
      "label": "yes"
    }
  ],
  "features": [
    {"name":"age","type":"string"},
    {"name":"job","type":"string"},
    {"name":"marital","type":"string"},
    {"name":"education","type":"string"},
    {"name":"default","type":"string"},
    {"name":"balance","type":"string"},
    {"name":"housing","type":"string"},
    {"name":"loan","type":"string"},
    {"name":"day","type":"string"},
    {"name":"month","type":"string"},
    {"name":"duration","type":"string"},
    {"name":"campaign","type":"string"}
  ],
  "metricParams": {
    "customMetrics": [],
    "evaluationMetric": "ROC_AUC",
    "classAveragingMethod": "MACRO",
    "thresholdOptimizationMetric": "F1",
    "costMatrixWeights": {
      "tpGain": 1.0,
      "tnGain": 0.0,
      "fpGain": -0.3,
      "fnGain": 0.0
    },
    "liftPoint": 0.4,
    "netUpliftPoint": 0.5,
    "causalWeighting": "NO_WEIGHTING"
  },
  "flavorsLabels": [
    {
      "key": "catboost:catboost_version",
      "value": "0.26.1"
    },
    {
      "key": "catboost:data",
      "value": "model.cb"
    },
    {
      "key": "catboost:model_type",
      "value": "CatBoostClassifier"
    },
    {
      "key": "catboost:save_format",
      "value": "cbm"
    }
  ],
  "pyfuncLabels": [
    {
      "key": "python_function:data",
      "value": "model.cb"
    },
    {
      "key": "python_function:env",
      "value": "conda.yaml"
    },
    {
      "key": "python_function:loader_module",
      "value": "mlflow.catboost"
    },
    {
      "key": "python_function:python_version",
      "value": "3.8.5"
    }
  ],
  "binaryClassificationThreshold": 0.5,
  "evaluationDatasetSmartName": "eval_data"
}